# Lucca — HRIS API: gotchas

> Canonical URL: https://developers.apideck.com/apis/hris/lucca-hr/gotchas

## GET /hris/employees

`total_count` is available in Lucca HR but requires `?include=totalCount` query parameter. Currently not wired — `meta.total_count` will not appear.

Lucca enforces a limit of 50 requests per minute per Lucca domain (see
https://developers.luccasoftware.com/documentation/limits). The quota is shared by every integration
connected to that domain, not per Unify connection, so other tools using the same Lucca account consume
it too. When the limit is exceeded, Unify returns HTTP 429. When Lucca includes a retry delay in that
response (it has in every observed case), the 429 also carries a `Retry-After` header (the number of
seconds to wait before retrying), `x-downstream-ratelimit-limit` and `x-downstream-ratelimit-reset` (the
Unix epoch time in milliseconds at which the window frees). Lucca provides no remaining-request count,
and no rate-limit headers are returned on successful responses.

## GET /hris/employees/{id}

Lucca enforces a limit of 50 requests per minute per Lucca domain (see
https://developers.luccasoftware.com/documentation/limits). The quota is shared by every integration
connected to that domain, not per Unify connection, so other tools using the same Lucca account consume
it too. When the limit is exceeded, Unify returns HTTP 429. When Lucca includes a retry delay in that
response (it has in every observed case), the 429 also carries a `Retry-After` header (the number of
seconds to wait before retrying), `x-downstream-ratelimit-limit` and `x-downstream-ratelimit-reset` (the
Unix epoch time in milliseconds at which the window frees). Lucca provides no remaining-request count,
and no rate-limit headers are returned on successful responses.

## GET /hris/companies

`total_count` is available in Lucca HR but requires `?include=totalCount` query parameter. Currently not wired — `meta.total_count` will not appear.

Lucca enforces a limit of 50 requests per minute per Lucca domain (see
https://developers.luccasoftware.com/documentation/limits). The quota is shared by every integration
connected to that domain, not per Unify connection, so other tools using the same Lucca account consume
it too. When the limit is exceeded, Unify returns HTTP 429. When Lucca includes a retry delay in that
response (it has in every observed case), the 429 also carries a `Retry-After` header (the number of
seconds to wait before retrying), `x-downstream-ratelimit-limit` and `x-downstream-ratelimit-reset` (the
Unix epoch time in milliseconds at which the window frees). Lucca provides no remaining-request count,
and no rate-limit headers are returned on successful responses.

## GET /hris/companies/{id}

Lucca enforces a limit of 50 requests per minute per Lucca domain (see
https://developers.luccasoftware.com/documentation/limits). The quota is shared by every integration
connected to that domain, not per Unify connection, so other tools using the same Lucca account consume
it too. When the limit is exceeded, Unify returns HTTP 429. When Lucca includes a retry delay in that
response (it has in every observed case), the 429 also carries a `Retry-After` header (the number of
seconds to wait before retrying), `x-downstream-ratelimit-limit` and `x-downstream-ratelimit-reset` (the
Unix epoch time in milliseconds at which the window frees). Lucca provides no remaining-request count,
and no rate-limit headers are returned on successful responses.

## GET /hris/departments

`total_count` is available in Lucca HR but requires `?include=totalCount` query parameter. Currently not wired — `meta.total_count` will not appear.

Lucca enforces a limit of 50 requests per minute per Lucca domain (see
https://developers.luccasoftware.com/documentation/limits). The quota is shared by every integration
connected to that domain, not per Unify connection, so other tools using the same Lucca account consume
it too. When the limit is exceeded, Unify returns HTTP 429. When Lucca includes a retry delay in that
response (it has in every observed case), the 429 also carries a `Retry-After` header (the number of
seconds to wait before retrying), `x-downstream-ratelimit-limit` and `x-downstream-ratelimit-reset` (the
Unix epoch time in milliseconds at which the window frees). Lucca provides no remaining-request count,
and no rate-limit headers are returned on successful responses.

## GET /hris/departments/{id}

Lucca enforces a limit of 50 requests per minute per Lucca domain (see
https://developers.luccasoftware.com/documentation/limits). The quota is shared by every integration
connected to that domain, not per Unify connection, so other tools using the same Lucca account consume
it too. When the limit is exceeded, Unify returns HTTP 429. When Lucca includes a retry delay in that
response (it has in every observed case), the 429 also carries a `Retry-After` header (the number of
seconds to wait before retrying), `x-downstream-ratelimit-limit` and `x-downstream-ratelimit-reset` (the
Unix epoch time in milliseconds at which the window frees). Lucca provides no remaining-request count,
and no rate-limit headers are returned on successful responses.

## GET /hris/schedules/employees/{employee_id}

`total_count` is available in Lucca HR but requires `?include=totalCount` query parameter. Currently not wired — `meta.total_count` will not appear.

## GET /hris/time-off-requests

`total_count` is available in Lucca HR but requires `?include=totalCount` query parameter. Currently not wired — `meta.total_count` will not appear.

Lucca enforces a limit of 50 requests per minute per Lucca domain (see
https://developers.luccasoftware.com/documentation/limits). The quota is shared by every integration
connected to that domain, not per Unify connection, so other tools using the same Lucca account consume
it too. When the limit is exceeded, Unify returns HTTP 429. When Lucca includes a retry delay in that
response (it has in every observed case), the 429 also carries a `Retry-After` header (the number of
seconds to wait before retrying), `x-downstream-ratelimit-limit` and `x-downstream-ratelimit-reset` (the
Unix epoch time in milliseconds at which the window frees). Lucca provides no remaining-request count,
and no rate-limit headers are returned on successful responses.

## GET /hris/time-off-requests/employees/{employee_id}/time-off-requests/{id}

Lucca enforces a limit of 50 requests per minute per Lucca domain (see
https://developers.luccasoftware.com/documentation/limits). The quota is shared by every integration
connected to that domain, not per Unify connection, so other tools using the same Lucca account consume
it too. When the limit is exceeded, Unify returns HTTP 429. When Lucca includes a retry delay in that
response (it has in every observed case), the 429 also carries a `Retry-After` header (the number of
seconds to wait before retrying), `x-downstream-ratelimit-limit` and `x-downstream-ratelimit-reset` (the
Unix epoch time in milliseconds at which the window frees). Lucca provides no remaining-request count,
and no rate-limit headers are returned on successful responses.


[API reference](https://developers.apideck.com/apis/hris/reference.md) · [Coverage matrix](https://developers.apideck.com/apis/hris/coverage)
